document.addEventListener('DOMContentLoaded', function() {
    // Form submission handling
    const fortuneForm = document.querySelector('.consultation-form form');
    if (fortuneForm) {
        fortuneForm.addEventListener('submit', function(e) {
            e.preventDefault();
            const dateTime = this.querySelector('input[type="datetime-local"]').value;
            const timeSlot = this.querySelector('select').value;
            
            // Add animation
            const submitButton = this.querySelector('.submit-button');
            submitButton.style.opacity = '0.7';
            submitButton.textContent = '正在计算...';
            
            // Simulate calculation process
            setTimeout(() => {
                alert('您的命盘分析已完成！请联系我们的命理师进行详细解读。');
                submitButton.style.opacity = '1';
                submitButton.textContent = '提交测算';
                this.reset();
            }, 2000);
        });
    }

    // Add smooth scrolling
    document.querySelectorAll('a[href^="#"]').forEach(anchor => {
        anchor.addEventListener('click', function (e) {
            e.preventDefault();
            document.querySelector(this.getAttribute('href')).scrollIntoView({
                behavior: 'smooth'
            });
        });
    });

    // Add hover effects to cards
    const cards = document.querySelectorAll('.card');
    cards.forEach(card => {
        card.addEventListener('mouseenter', function() {
            this.style.transform = 'translateY(-10px)';
        });
        card.addEventListener('mouseleave', function() {
            this.style.transform = 'translateY(0)';
        });
    });
});